org.springframework.batch.sample.domain.trade.internal

## Class TradeFieldSetMapper

- java.lang.Object
- - org.springframework.batch.sample.domain.trade.internal.TradeFieldSetMapper

- All Implemented Interfaces:
    FieldSetMapper<Trade>

      public class TradeFieldSetMapper
      extends java.lang.Object
      implements FieldSetMapper<Trade>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CUSTOMER_COLUMN`
    `static int` | `ISIN_COLUMN`
    `static int` | `PRICE_COLUMN`
    `static int` | `QUANTITY_COLUMN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TradeFieldSetMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Trade` | `mapFieldSet(FieldSet fieldSet)` Method used to map data obtained from a `FieldSet` into an object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ISIN_COLUMN

          public static final int ISIN_COLUMN

      See Also:
        Constant Field Values

    - #### QUANTITY_COLUMN

          public static final int QUANTITY_COLUMN

      See Also:
        Constant Field Values

    - #### PRICE_COLUMN

          public static final int PRICE_COLUMN

      See Also:
        Constant Field Values

    - #### CUSTOMER_COLUMN

          public static final int CUSTOMER_COLUMN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TradeFieldSetMapper

          public TradeFieldSetMapper()

  - ### Method Detail

    - #### mapFieldSet

          public Trade mapFieldSet(FieldSet fieldSet)

      Description copied from interface: `FieldSetMapper`
      Method used to map data obtained from a `FieldSet` into an object.
      Specified by:
        `mapFieldSet` in interface `FieldSetMapper<Trade>`
      Parameters:
        `fieldSet` - the `FieldSet` to map